<template>
  <button
    v-if="type === 'secondary' && !isPreview"
    type="button"
    class="c-remove c-remove--secondary"
    @click="clicked"
  >
    <i class="icon icon--delete" />
  </button>

  <button
    v-else-if="!isPreview"
    type="button"
    class="c-remove c-remove--primary"
    @click="clicked"
  >
    <i class="icon icon--delete" />
    Remove
  </button>
</template>

<script>
import { isPreviewMixin } from "../../mixins/isPreview";

export default {
  name: "FormButtonRemove",
  mixins: [isPreviewMixin],
  props: {
    type: {
      type: String,
      default: "primary"
    }
  },
  methods: {
    clicked() {
      this.$emit("clicked");
    }
  }
};
</script>

<style lang="scss">
.c-remove {
  transition: 0.3s;

  &--primary {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.6rem;
    color: $c-white;
    background-color: $c-error;
    border: 1px solid $c-error;
    width: 100%;
    height: 5rem;
    max-width: 15.5rem;
    margin: 4rem auto 0;

    @include breakpoint(overPhone) {
      height: 4.1rem;
      max-width: 12.7rem;
    }

    &:hover {
      color: $c-error;
      background-color: $c-white;
    }
  }

  &--secondary {
    color: $c-error;

    &:hover {
      opacity: 0.8;
    }
  }

  .icon {
    font-size: 2rem;
    margin-right: 1rem;
  }
}
</style>
